Krea 2 Medium
Text-to-Image • kreaSmaller, faster, more cost-efficient. Extensive post-training makes outputs especially stable and consistent across generations. Strongest on illustration, anime, painting, and other expressive or artistic styles.
| Model Info | |
|---|---|
| Terms and License | link ↗ |
| More information | link ↗ |
| Pricing | View pricing in the Cloudflare dashboard ↗ |
Usage
const response = await env.AI.run( 'krea/krea-2-medium', { prompt: "An igloo village glowing with Aurora's colors.", aspect_ratio: '1:1', resolution: '1K', },)console.log(response)curl https://api.cloudflare.com/client/v4/accounts/$CLOUDFLARE_ACCOUNT_ID/ai/run \ --header "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \ --header "Content-Type: application/json" \ --data '{ "model": "krea/krea-2-medium", "input": { "prompt": "An igloo village glowing with Aurora'\''s colors.", "aspect_ratio": "1:1", "resolution": "1K" }}'
{ "state": "Completed", "result": { "image": "https://examples.aig.cloudflare.com/krea/krea-2-medium/default.png" }, "gatewayMetadata": { "keySource": "Unified" }}Parameters
stringrequiredenum: 1:1, 4:3, 3:2, 16:9, 2.35:1, 4:5, 2:3, 9:16Aspect ratio of the generated image.integerdefault: 0maximum: 100minimum: -100K2 Complexity slider (-100 to 100). 0 disables the slider LoRA.stringdefault: lowenum: raw, low, medium, highPrompt expansion mode. `raw` disables expansion; `low`, `medium`, `high` control strength. Does not affect the K2 Intensity, Complexity, or Movement slider LoRAs.arraymaxItems: 10Reference images to drive the visual style (up to 10).integerdefault: 0maximum: 100minimum: -100K2 Intensity slider (-100 to 100). 0 disables the slider LoRA.arraymaxItems: 1Moodboard references (currently limited to one).integerdefault: 0maximum: 100minimum: -100K2 Movement slider (-100 to 100). 0 disables the slider LoRA.stringrequiredText prompt describing the image to generate.stringrequiredenum: 1KResolution scale.number | nullRandom seed for reproducible generations. Pass null or omit for a random seed.arrayStyles (typically LoRAs) to apply to the generation.stringformat: uriPresigned URL for the generated image.